#ifndef LIGHTS_H
#define LIGHTS_H


#include "common.h"


extern float ambient[4];
extern float light0[3][4];
extern float light1[3][4];


enum {
	L_AMBIENT,
	L_POSITION,
	L_DIRECTION,
	L_CUTOFF,
	L_DIFFUSE,
	L_SPECULAR
};


void make_lights();
void place_lights();
void set_ambient_light(float r, float g, float b);


#endif // LIGHTS_H
